// Copyright (C) 2010 - H. Nahrstaedt
//
//test
x = ones (3,1);
y = ones (1,3);
b = 2;
c = 3;
assert_checkequal (moc_conv (x, x), [1; 2; 3; 2; 1]);
assert_checkequal (moc_conv (y, y), [1, 2, 3, 2, 1]);
assert_checkequal (moc_conv (x, y), [1, 2, 3, 2, 1]);
assert_checkequal (moc_conv (y, x), [1; 2; 3; 2; 1]);
assert_checkequal (moc_conv (c, x), [3; 3; 3]);
assert_checkequal (moc_conv (c, y), [3, 3, 3]);
assert_checkequal (moc_conv (x, c), [3; 3; 3]);
assert_checkequal (moc_conv (y, c), [3, 3, 3]);
assert_checkequal (moc_conv (b, c), 6);

//shared a,b
//test
a = 1:10;
b = 1:3;
assert_checkequal (size (moc_conv (a,b)), [1, length(a)+length(b)-1])
assert_checkequal (size (moc_conv (b,a)), [1, length(a)+length(b)-1])

//test
a = (1:10).';
assert_checkequal (size (moc_conv (a,b)), [length(a)+length(b)-1, 1])
assert_checkequal (size (moc_conv (b,a)), [length(a)+length(b)-1, 1])

//test
a = 1:10;
b = (1:3).';
assert_checkequal (size (moc_conv (a,b)), [1, length(a)+length(b)-1])
assert_checkequal (size (moc_conv (b,a)), [1, length(a)+length(b)-1])

//test
a = 1:10;
b = 1:3;

assert_checkequal (moc_conv (a,b,"full"), moc_conv (a,b))
assert_checkequal (moc_conv (b,a,"full"), moc_conv (b,a))

assert_checkequal (moc_conv (a,b,"same"), [4, 10, 16, 22, 28, 34, 40, 46, 52, 47])
assert_checkequal (moc_conv (b,a,"same"), [28, 34, 40])

assert_checkequal (moc_conv (a,b,"valid"), [10, 16, 22, 28, 34, 40, 46, 52])
assert_checkequal (moc_conv (b,a,"valid"), zeros (1,0))

// Copyright (C) 2010 - H. Nahrstaedt
//

computed = moc_conv (ones (3, 1), ones (3, 1));
expected = [1; 2; 3; 2; 1];
assert_checkalmostequal ( computed , expected , %eps );

computed = moc_conv (ones (1, 3), ones (3, 1));
expected = [1, 2, 3, 2, 1]';
assert_checkalmostequal ( computed , expected , %eps );

computed = moc_conv (3, [1, 2, 3]);
expected = [3, 6, 9];
assert_checkalmostequal ( computed , expected , %eps );


computed = moc_conv (2, 3);
expected = 6;
assert_checkalmostequal ( computed , expected , %eps );

computed =  moc_conv([1   2   3   4],[10   20   30]);
expected =  [10     40     100     160     170     120];
assert_checkalmostequal ( computed , expected , %eps );

 a = 1:10;
 b = 1:3;
 c = moc_conv (a, b);

computed = size(c);
expected = [1, length(a)+length(b)-1];
assert_checkalmostequal ( computed , expected , %eps );

a = (1:10).';
b = 1:3;
c = moc_conv (a, b);

computed = size(c);
expected = [length(a)+length(b)-1, 1];
assert_checkalmostequal ( computed , expected , %eps );

a = 1:10;
b = (1:3).';
c = moc_conv (a, b);
computed = size(c);
expected = [1, length(a)+length(b)-1];
assert_checkalmostequal ( computed , expected , %eps );


b = 1:10;
a = 1:3;
c = moc_conv (a, b);
computed = size(c);
expected = [1, length(a)+length(b)-1];
assert_checkalmostequal ( computed , expected , %eps );

b = (1:10).';
a = 1:3;
c = moc_conv (a, b);
computed = size(c);
expected = [length(a)+length(b)-1, 1];
assert_checkalmostequal ( computed , expected , %eps );


b = 1:10;
a = (1:3).';
c = moc_conv (a, b);
computed = size(c);
expected = [1, length(a)+length(b)-1];
assert_checkalmostequal ( computed , expected , %eps );


//error conv ([1, 2; 3, 4], 3);


//error conv (2, []);
